#include "NOPage.h"
#include "NOPackage.h"

using namespace NiXPSObjects;

void createPackage(const UTF8Char *pXPSIn, const UTF8Char *pXPSOut)
{
	NOPackage *lPackage = NOPackage::readPackageFromFile(pXPSIn);
	NOPackage *lPackageNew = NOPackage::createPackage(true);
	
	// get a handler to the first page of the first out source package
	NOPage lPage = lPackage->getDocument(0).getPage(0);		

	NOPage lNewPage = lPackageNew->getDocument(0).insertPage(lPage,0);
	
	// write the modified package out
	lPackageNew->writePackageToFile(pXPSOut);

	NOPackage::destroyPackage(lPackageNew);
	NOPackage::destroyPackage(lPackage);
}