#include "NOPackage.h"
#include "NOThumbnail.h"

using namespace NiXPSObjects;

void getThumbnail(const UTF8Char *pXPSIn, const UTF8Char *pImageOut)
{
	NOPackage *lPackageSource=NOPackage::readPackageFromFile(pXPSIn);	
	
	if (lPackageSource->hasThumbnail())
	{
		NOThumbnail lThumb = lPackageSource->getThumbnail();	
		const UInt32 lSize = lThumb.getImageSize();
		UInt8 *lBuffer = new UInt8[lSize];
		lThumb.getImageData(lBuffer,lSize);

		// write the buffer to file
		FILE *lOut=fopen(pImageOut,"wb");
		fwrite(lBuffer,1,lSize,lOut);
		fclose(lOut);

		delete [] lBuffer;
	}

	NOPackage::destroyPackage(lPackageSource);
}