// NTRelationshipType.h
//
// (c) NiXPS NV, April 2007

#ifndef _NTRELATIONSHIPTYPE_H_
#define _NTRELATIONSHIPTYPE_H_

namespace NCommon
{

namespace Relationship
{

typedef enum
{
	Unknown						=0,	// Unknown (new?) type
	FixedDocumentSequence		=1,	// http://schemas.microsoft.com/xps/2005/06/fixedrepresentation
	Thumbnail					=2,	// http://schemas.openxmlformats.org/package/2006/relationships/metadata/thumbnail
	CoreProperties				=3,	// http://schemas.openxmlformats.org/package/2006/relationships/metadata/core-properties
	ExtendedProperties			=4,	// http://schemas.microsoft.com/metro/2005/05/md/extended-properties
	DigitalSignature			=5,	// http://schemas.openxmlformats.org/package/2006/relationships/digital-signature/signature 
	DigitalSignatureCertificate =6,	// http://schemas.openxmlformats.org/package/2006/relationships/digital-signature/certificate 
	DigitalSignatureOrigin		=7,	// http://schemas.openxmlformats.org/package/2006/relationships/digital-signature/origin 
	DigitalSignatureDefinitions	=8,	// http://schemas.microsoft.com/xps/2005/06/signature-definitions 
	DiscardControl				=9,	// http://schemas.microsoft.com/xps/2005/06/discard-control 
	DocumentStructure			=10,// http://schemas.microsoft.com/xps/2005/06/documentstructure 
	PrintTicket					=11,// http://schemas.microsoft.com/xps/2005/06/printticket 
	RequiredResource			=12,// http://schemas.microsoft.com/xps/2005/06/required-resource 
	RestrictedFont				=13,// http://schemas.microsoft.com/xps/2005/06/restricted-font 
	StartPart					=14,// http://schemas.microsoft.com/xps/2005/06/fixedrepresentation 
	StoryFragments				=15 // http://schemas.microsoft.com/xps/2005/06/storyfragments 
} Type;

enum { MaximumNumberOfRelationshipTypes = 16 };
}

};

#endif

