// NOFontVector
//
// (c) NiXPS NV, June 2007

/*! \file NOFontVector.cpp
    \brief Implementation of the NOFontVector class
*/

#include "NOFontVector.h"

// constructor
NiXPSObjects::NOFontVector::NOFontVector(NOPackage &pPackage): NOVector(pPackage.getNOHandler()->mPackage) {}

// destructor
NiXPSObjects::NOFontVector::~NOFontVector() {}

// returns the font at index pIndex
NiXPSObjects::NOFont NiXPSObjects::NOFontVector::operator[](const UInt32 &pIndex) const
{
	NOFontHandler lHandler=NOHandler_empty();
	lHandler.mPackage=mHandler.mPackage;
	lHandler.mID=getPartIDAtIndex(pIndex);
	lHandler.mType=Part::Font;
	return NOFont(lHandler);
}
