#include "NOPage.h"
#include "NOPackage.h"

using namespace NiXPSObjects;

void renderPage(const UTF8Char *pXPSIn, const UTF8Char *pXPSOut, const UInt32 lPageNumber)
{
	NOPackage *lPackage = NOPackage::readPackageFromFile(pXPSIn);

	// get a handler to the first page of the first out source package
	NOPage lPage = lPackage->getDocument(0).getPage(lPageNumber);		

	lPage.renderToTiff(pXPSOut, 1000, 1000, 150, true);
	
	NOPackage::destroyPackage(lPackage);
}