#include "NOPackage.h"
#include "NOFontVector.h"
#include "NOPage.h"

using namespace NiXPSObjects;

void replaceFont(const UTF8Char *pXPSIn, const UTF8Char *pFontIn, const UTF8Char *pXPSOut)
{
	NOPackage *lPackage=NOPackage::readPackageFromFile(pXPSIn);
	
	NOFontVector lFonts(*lPackage);
	lPackage->getDocument(0).getPage(0).getFonts(lFonts);
		
	if (!lFonts[0].replaceWithFile(pFontIn))
	{
		// error handling here
	}

	// write the modified package out
	lPackage->writePackageToFile(pXPSOut);

	NOPackage::destroyPackage(lPackage);
}