// NOFontVector
//
// (c) NiXPS NV, June 2007

/*! \file NOImageVector.cpp
    \brief Implementation of the NOImageVector class
*/

#include "NOImageVector.h"

// constructor: object is always linked to a specific package (and probably also a specific part)
NiXPSObjects::NOImageVector::NOImageVector(NiXPSAccess::NAPackage *pPackage): NOVector(pPackage) {}

// constructor
NiXPSObjects::NOImageVector::NOImageVector(NOPackage &pPackage): NOVector(pPackage.getNOHandler()->mPackage) {}

// destructor
NiXPSObjects::NOImageVector::~NOImageVector() {}

// returns the image at index pIndex
NiXPSObjects::NOImage NiXPSObjects::NOImageVector::operator[](const NCommon::UInt32 &pIndex) const
{
	NOImageHandler lHandler=NOHandler_empty();
	lHandler.mPackage=mHandler.mPackage;
	lHandler.mID=getPartIDAtIndex(pIndex);
	lHandler.mType=Part::Image;
	return NOImage(lHandler);
}
