// NOProgressReporter.cpp
//
// NOProgressReporter
//			
// (c) NiXPS NV, July 2007

/*! \file NOProgressReporter.cpp
    \brief Implementation of the NOProgressReporter class
*/

#include <iostream>

#include "NTypes.h"
#include "NOProgressReporter.h"

namespace NiXPSObjects {

static void NOProgressReporterVoidCastFunction(void *pHandle, NCommon::UInt32 pValue)
{
	NOProgressReporter *lReporter = reinterpret_cast<NOProgressReporter *>(pHandle);
	lReporter->UpdateStatus(pValue);
}

NOReporterUpdateFunction sNOProgressReporterFunction = NOProgressReporterVoidCastFunction;

NOProgressReporter::NOProgressReporter() : mMaximum(1)
{
}

NOProgressReporter::~NOProgressReporter()
{
}

NOProgressReporterHandler NOProgressReporter::getHandler()
{
	NOProgressReporterHandler lHandler;
	lHandler.mFunction = sNOProgressReporterFunction;
	lHandler.mHandler  = this;
	return lHandler;
}

void NOProgressReporter::UpdateStatus(NCommon::UInt32 pValue)
{
//	std::cout << "updated " << pValue << std::endl;
}

}
